:root {
    /* Colors and styles taken from Twitter Bootstrap 
       https://raw.githubusercontent.com/twbs/bootstrap/master/dist/css/bootstrap.css
    */
    --color-primary: #007bff;
    --color-primary-dark: #0069d9;
    --color-primary-dark2: #0062cc;
    --color-primary-dark3: #005cbf;
    --color-text-light: #fff;
}

.button {
    display: inline-block;

    background-color: var(--color-primary);
    color: var(--color-text-light);
    border: 1px solid var(--color-primary);
    border-radius: 0.25rem;

    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;

    padding: 0.375rem 0.75rem;
    text-align: center;
    vertical-align: middle;

    transition: color 0.15s ease-in-out, 
                background-color 0.15s ease-in-out, 
                border-color 0.15s ease-in-out, 
                box-shadow 0.15s ease-in-out;
    user-select: none;
    cursor: pointer;
}
a.button {
    text-decoration: none;
}

.button:hover {
    color: var(--color-text-light);
    background-color: var(--color-primary-dark);
    border-color: var(--color-primary-dark2);
}
.button:focus {
    color: var(--color-text-light);
    background-color: var(--color-primary-dark);
    border-color: var(--color-primary-dark2);
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}
.button:disabled {
    color: var(--color-text-light);
    background-color: var(--color-primary);
    border-color: var(--color-primary);
}
.button:not(:disabled):active {
    color: var(--color-text-light);
    background-color: var(--color-primary-dark2);
    border-color: var(--color-primary-dark3);
}


.button--success {
    background-color: #28a745;
    border-color: #28a745;
}
.button--success:hover {
    background-color: #218838;
    border-color: #1e7e34;
}


.button--error {
    background-color: #dc3545;
    border-color: #dc3545;
}
.button--error:hover {
    background-color: #c82333;
    border-color: #bd2130;
}


.button--small {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
}
.button--large {
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0.3rem;
}
.button--block {
    display: block;
    width: 100%;
}


